@scalar/api-reference 1.25.105 → 1.25.106

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (64) hide show
  1. package/CHANGELOG.md +27 -0
  2. package/dist/browser/standalone.js +7065 -7056
  3. package/dist/browser/webpack-stats.json +1 -1
  4. package/dist/components/ApiReferenceLayout.vue.d.ts.map +1 -1
  5. package/dist/components/ApiReferenceLayout.vue.js +1 -1
  6. package/dist/components/ApiReferenceLayout.vue2.js +119 -131
  7. package/dist/components/Content/Lazy/Loading.vue.js +2 -2
  8. package/dist/components/Content/Models/Models.vue.js +2 -2
  9. package/dist/components/Content/Models/Models.vue2.js +2 -2
  10. package/dist/components/Content/Models/ModelsAccordion.vue.js +2 -2
  11. package/dist/components/Content/Models/ModelsAccordion.vue2.js +2 -2
  12. package/dist/components/Content/Tag/Endpoints.vue2.js +3 -3
  13. package/dist/components/Content/Tag/TagList.vue.js +3 -3
  14. package/dist/components/Section/CompactSection.vue2.js +4 -4
  15. package/dist/components/Section/Section.vue2.js +3 -3
  16. package/dist/components/Sidebar/Sidebar.vue2.js +3 -3
  17. package/dist/components/Sidebar/SidebarElement.vue2.js +6 -6
  18. package/dist/features/DownloadLink/DownloadLink.vue.d.ts.map +1 -1
  19. package/dist/features/DownloadLink/DownloadLink.vue.js +2 -2
  20. package/dist/features/DownloadLink/DownloadLink.vue2.js +14 -21
  21. package/dist/features/Operation/Webhooks.vue.js +3 -3
  22. package/dist/features/Operation/Webhooks.vue2.js +9 -9
  23. package/dist/features/Operation/components/OperationParameters.vue.d.ts +2 -2
  24. package/dist/features/Operation/components/OperationParameters.vue.d.ts.map +1 -1
  25. package/dist/features/Operation/components/OperationParameters.vue.js +34 -49
  26. package/dist/features/Operation/components/ParameterList.vue.d.ts +2 -2
  27. package/dist/features/Operation/components/ParameterList.vue.d.ts.map +1 -1
  28. package/dist/features/Operation/components/ParameterList.vue.js +3 -3
  29. package/dist/features/Operation/components/ParameterListItem.vue.d.ts +3 -3
  30. package/dist/features/Operation/components/ParameterListItem.vue.d.ts.map +1 -1
  31. package/dist/features/Operation/components/ParameterListItem.vue.js +1 -1
  32. package/dist/features/Operation/components/ParameterListItem.vue2.js +34 -31
  33. package/dist/features/Operation/components/RequestBody.vue.d.ts.map +1 -1
  34. package/dist/features/Operation/components/RequestBody.vue.js +1 -1
  35. package/dist/features/Operation/components/RequestBody.vue2.js +37 -33
  36. package/dist/features/Operation/layouts/ClassicLayout.vue.d.ts.map +1 -1
  37. package/dist/features/Operation/layouts/ClassicLayout.vue.js +2 -2
  38. package/dist/features/Operation/layouts/ClassicLayout.vue2.js +34 -34
  39. package/dist/features/Operation/layouts/ModernLayout.vue.js +2 -2
  40. package/dist/features/Operation/layouts/ModernLayout.vue2.js +12 -12
  41. package/dist/features/Search/useSearchIndex.js +11 -11
  42. package/dist/features/TestRequestButton/TestRequestButton.vue.d.ts.map +1 -1
  43. package/dist/features/TestRequestButton/TestRequestButton.vue.js +2 -2
  44. package/dist/features/TestRequestButton/TestRequestButton.vue2.js +21 -21
  45. package/dist/helpers/index.d.ts +0 -1
  46. package/dist/helpers/index.d.ts.map +1 -1
  47. package/dist/helpers/parse.d.ts.map +1 -1
  48. package/dist/helpers/parse.js +59 -60
  49. package/dist/hooks/useConfig.d.ts +6 -0
  50. package/dist/hooks/useConfig.d.ts.map +1 -0
  51. package/dist/hooks/useConfig.js +6 -0
  52. package/dist/hooks/useNavState.d.ts +8 -3
  53. package/dist/hooks/useNavState.d.ts.map +1 -1
  54. package/dist/hooks/useNavState.js +71 -59
  55. package/dist/hooks/useSidebar.d.ts.map +1 -1
  56. package/dist/hooks/useSidebar.js +149 -149
  57. package/dist/index.js +58 -63
  58. package/dist/style.css +1 -1
  59. package/package.json +9 -9
  60. package/dist/features/Operation/components/RequestBodyPropertiesChild.vue.d.ts +0 -7
  61. package/dist/features/Operation/components/RequestBodyPropertiesChild.vue.d.ts.map +0 -1
  62. package/dist/helpers/provideSymbols.d.ts +0 -7
  63. package/dist/helpers/provideSymbols.d.ts.map +0 -1
  64. package/dist/helpers/provideSymbols.js +0 -7
@@ -1,7 +1,7 @@
1
1
  import o from "./DownloadLink.vue2.js";
2
2
  /* empty css */
3
3
  import t from "../../_virtual/_plugin-vue_export-helper.js";
4
- const p = /* @__PURE__ */ t(o, [["__scopeId", "data-v-23d1215a"]]);
4
+ const m = /* @__PURE__ */ t(o, [["__scopeId", "data-v-1fc94525"]]);
5
5
  export {
6
- p as default
6
+ m as default
7
7
  };
@@ -1,33 +1,26 @@
1
- import { defineComponent as m, inject as d, openBlock as o, createElementBlock as e, unref as t, Fragment as _, createCommentVNode as u } from "vue";
2
- import { HIDE_DOWNLOAD_BUTTON_SYMBOL as D, OPENAPI_DOCUMENT_URL_SYMBOL as k } from "../../helpers/provideSymbols.js";
3
- import { downloadSpecBus as w } from "../../helpers/specDownloads.js";
4
- const O = { class: "download" }, f = ["href"], A = /* @__PURE__ */ m({
1
+ import { defineComponent as u, openBlock as o, createElementBlock as e, unref as t, Fragment as m, createCommentVNode as f } from "vue";
2
+ import { useConfig as _ } from "../../hooks/useConfig.js";
3
+ import { downloadSpecBus as k } from "../../helpers/specDownloads.js";
4
+ const w = { class: "download" }, h = ["href"], B = /* @__PURE__ */ u({
5
5
  __name: "DownloadLink",
6
6
  props: {
7
7
  specTitle: {}
8
8
  },
9
9
  setup(r) {
10
- const s = r, i = d(
11
- D,
12
- () => !0
13
- ), n = d(
14
- k,
15
- () => {
16
- }
17
- ), p = () => {
18
- w.emit({ id: "", specTitle: s.specTitle });
10
+ const i = r, n = _(), p = () => {
11
+ k.emit({ id: "", specTitle: i.specTitle });
19
12
  };
20
- return (b, B) => {
21
- var l, c, a;
22
- return o(), e("div", O, [
23
- (l = t(i)) != null && l() ? u("", !0) : (o(), e(_, { key: 0 }, [
24
- (c = t(n)) != null && c() ? (o(), e("a", {
13
+ return (D, b) => {
14
+ var c, l, s, a, d;
15
+ return o(), e("div", w, [
16
+ (c = t(n)) != null && c.hideDownloadButton ? f("", !0) : (o(), e(m, { key: 0 }, [
17
+ (s = (l = t(n)) == null ? void 0 : l.spec) != null && s.url ? (o(), e("a", {
25
18
  key: 0,
26
19
  class: "download-button",
27
20
  download: "",
28
- href: (a = t(n)) == null ? void 0 : a(),
21
+ href: (d = (a = t(n)) == null ? void 0 : a.spec) == null ? void 0 : d.url,
29
22
  target: "_blank"
30
- }, " Download OpenAPI Document ", 8, f)) : (o(), e("button", {
23
+ }, " Download OpenAPI Document ", 8, h)) : (o(), e("button", {
31
24
  key: 1,
32
25
  class: "download-button",
33
26
  role: "link",
@@ -40,5 +33,5 @@ const O = { class: "download" }, f = ["href"], A = /* @__PURE__ */ m({
40
33
  }
41
34
  });
42
35
  export {
43
- A as default
36
+ B as default
44
37
  };
@@ -1,7 +1,7 @@
1
1
  import o from "./Webhooks.vue2.js";
2
2
  /* empty css */
3
- import t from "../../_virtual/_plugin-vue_export-helper.js";
4
- const m = /* @__PURE__ */ t(o, [["__scopeId", "data-v-fe6e775c"]]);
3
+ import e from "../../_virtual/_plugin-vue_export-helper.js";
4
+ const f = /* @__PURE__ */ e(o, [["__scopeId", "data-v-8cee6fce"]]);
5
5
  export {
6
- m as default
6
+ f as default
7
7
  };
@@ -7,19 +7,19 @@ import j from "../../components/Section/Section.vue.js";
7
7
  import F from "../../components/Section/SectionHeader.vue.js";
8
8
  import _ from "../../components/Content/Lazy/Lazy.vue2.js";
9
9
  import K from "../../components/Section/CompactSection.vue.js";
10
- import { useSidebar as T } from "../../hooks/useSidebar.js";
11
- import { useNavState as D } from "../../hooks/useNavState.js";
10
+ import { useNavState as T } from "../../hooks/useNavState.js";
11
+ import { useSidebar as D } from "../../hooks/useSidebar.js";
12
12
  const g = 10, x = /* @__PURE__ */ B({
13
13
  __name: "Webhooks",
14
14
  props: {
15
15
  webhooks: {}
16
16
  },
17
17
  setup(N) {
18
- const W = N, k = m(() => Object.keys(W.webhooks ?? {})), { getWebhookId: c } = D(), { collapsedSidebarItems: C } = T(), d = m(
19
- () => k.value.length <= g || C[c()]
18
+ const W = N, k = m(() => Object.keys(W.webhooks ?? {})), { getWebhookId: d } = T(), { collapsedSidebarItems: C } = D(), c = m(
19
+ () => k.value.length <= g || C[d()]
20
20
  ), I = m(() => {
21
21
  const o = k.value;
22
- return d.value ? o : o.slice(0, g);
22
+ return c.value ? o : o.slice(0, g);
23
23
  });
24
24
  return (o, b) => k.value.length ? (s(), n(t(M), {
25
25
  key: 0,
@@ -39,7 +39,7 @@ const g = 10, x = /* @__PURE__ */ B({
39
39
  isLazy: !1
40
40
  }),
41
41
  L("div", {
42
- class: O(["webhooks-list", { "webhooks-list-truncated": !d.value }])
42
+ class: O(["webhooks-list", { "webhooks-list-truncated": !c.value }])
43
43
  }, [
44
44
  (s(!0), h(w, null, S(I.value, (e) => {
45
45
  var f;
@@ -47,7 +47,7 @@ const g = 10, x = /* @__PURE__ */ B({
47
47
  (s(!0), h(w, null, S(Object.keys(
48
48
  (f = o.webhooks) == null ? void 0 : f[e]
49
49
  ), (r) => (s(), n(t(_), {
50
- id: t(c)(e, r),
50
+ id: t(d)({ name: e, method: r }),
51
51
  key: r,
52
52
  isLazy: ""
53
53
  }, {
@@ -56,7 +56,7 @@ const g = 10, x = /* @__PURE__ */ B({
56
56
  return [
57
57
  (p = o.webhooks) != null && p[e] ? (s(), n(t(K), {
58
58
  key: 0,
59
- id: t(c)(e, r),
59
+ id: t(d)({ name: e, method: r }),
60
60
  class: "webhooks-list-item",
61
61
  label: e
62
62
  }, {
@@ -89,7 +89,7 @@ const g = 10, x = /* @__PURE__ */ B({
89
89
  ], 64);
90
90
  }), 128))
91
91
  ], 2),
92
- d.value ? u("", !0) : (s(), n(A, {
92
+ c.value ? u("", !0) : (s(), n(A, {
93
93
  key: 0,
94
94
  id: "webhooks",
95
95
  class: "show-more-webhooks"
@@ -1,6 +1,6 @@
1
- import type { TransformedOperation } from '@scalar/types/legacy';
1
+ import type { Request as RequestEntity } from '@scalar/oas-utils/entities/spec';
2
2
  type __VLS_Props = {
3
- operation: TransformedOperation;
3
+ operation?: Pick<RequestEntity, 'parameters' | 'requestBody'>;
4
4
  };
5
5
  declare const _default: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
6
6
  export default _default;
@@ -1 +1 @@
1
- {"version":3,"file":"OperationParameters.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/OperationParameters.vue"],"names":[],"mappings":"AAwDA,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,sBAAsB,CAAA;AAOhE,KAAK,WAAW,GAAG;IACjB,SAAS,EAAE,oBAAoB,CAAA;CAChC,CAAC;;AAmIF,wBAMG"}
1
+ {"version":3,"file":"OperationParameters.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/OperationParameters.vue"],"names":[],"mappings":"AA4CA,OAAO,KAAK,EAAE,OAAO,IAAI,aAAa,EAAE,MAAM,iCAAiC,CAAA;AAO/E,KAAK,WAAW,GAAG;IACjB,SAAS,CAAC,EAAE,IAAI,CAAC,aAAa,EAAE,YAAY,GAAG,aAAa,CAAC,CAAA;CAC9D,CAAC;;AAiHF,wBAMG"}
@@ -1,79 +1,64 @@
1
- import { defineComponent as f, openBlock as d, createElementBlock as y, Fragment as B, createVNode as a, unref as m, withCtx as r, createTextVNode as t, createBlock as k, createCommentVNode as q } from "vue";
2
- import s from "./ParameterList.vue.js";
3
- import P from "./RequestBody.vue.js";
4
- import { useOperation as C } from "../../../hooks/useOperation.js";
5
- const D = /* @__PURE__ */ f({
1
+ import { defineComponent as u, openBlock as i, createElementBlock as y, Fragment as B, createVNode as m, withCtx as t, createTextVNode as o, createBlock as f, createCommentVNode as k } from "vue";
2
+ import p from "./ParameterList.vue.js";
3
+ import q from "./RequestBody.vue.js";
4
+ const V = /* @__PURE__ */ u({
6
5
  __name: "OperationParameters",
7
6
  props: {
8
7
  operation: {}
9
8
  },
10
- setup(l) {
11
- const u = l, { parameterMap: o } = C(u.operation);
12
- return (p, e) => {
13
- var i, n;
14
- return d(), y(B, null, [
15
- a(s, {
16
- parameters: m(o).path
17
- }, {
18
- title: r(() => e[0] || (e[0] = [
19
- t("Path Parameters")
20
- ])),
21
- _: 1
22
- }, 8, ["parameters"]),
23
- a(s, {
24
- parameters: m(o).query
25
- }, {
26
- title: r(() => e[1] || (e[1] = [
27
- t("Query Parameters")
28
- ])),
29
- _: 1
30
- }, 8, ["parameters"]),
31
- a(s, {
32
- parameters: m(o).header
9
+ setup(n) {
10
+ const l = n, a = (s) => {
11
+ var e, r;
12
+ return ((r = (e = l.operation) == null ? void 0 : e.parameters) == null ? void 0 : r.filter((d) => d.in === s)) ?? [];
13
+ };
14
+ return (s, e) => {
15
+ var r;
16
+ return i(), y(B, null, [
17
+ m(p, {
18
+ parameters: a("path")
33
19
  }, {
34
- title: r(() => e[2] || (e[2] = [
35
- t("Headers")
20
+ title: t(() => e[0] || (e[0] = [
21
+ o("Path Parameters")
36
22
  ])),
37
23
  _: 1
38
24
  }, 8, ["parameters"]),
39
- a(s, {
40
- parameters: m(o).cookie
25
+ m(p, {
26
+ parameters: a("query")
41
27
  }, {
42
- title: r(() => e[3] || (e[3] = [
43
- t("Cookies")
28
+ title: t(() => e[1] || (e[1] = [
29
+ o("Query Parameters")
44
30
  ])),
45
31
  _: 1
46
32
  }, 8, ["parameters"]),
47
- a(s, {
48
- parameters: m(o).body,
49
- showChildren: ""
33
+ m(p, {
34
+ parameters: a("header")
50
35
  }, {
51
- title: r(() => e[4] || (e[4] = [
52
- t("Body Parameters")
36
+ title: t(() => e[2] || (e[2] = [
37
+ o("Headers")
53
38
  ])),
54
39
  _: 1
55
40
  }, 8, ["parameters"]),
56
- a(s, {
57
- parameters: m(o).formData
41
+ m(p, {
42
+ parameters: a("cookie")
58
43
  }, {
59
- title: r(() => e[5] || (e[5] = [
60
- t("Form Data")
44
+ title: t(() => e[3] || (e[3] = [
45
+ o("Cookies")
61
46
  ])),
62
47
  _: 1
63
48
  }, 8, ["parameters"]),
64
- (i = p.operation.information) != null && i.requestBody ? (d(), k(P, {
49
+ (r = s.operation) != null && r.requestBody ? (i(), f(q, {
65
50
  key: 0,
66
- requestBody: (n = p.operation.information) == null ? void 0 : n.requestBody
51
+ requestBody: s.operation.requestBody
67
52
  }, {
68
- title: r(() => e[6] || (e[6] = [
69
- t("Body")
53
+ title: t(() => e[4] || (e[4] = [
54
+ o("Body")
70
55
  ])),
71
56
  _: 1
72
- }, 8, ["requestBody"])) : q("", !0)
57
+ }, 8, ["requestBody"])) : k("", !0)
73
58
  ], 64);
74
59
  };
75
60
  }
76
61
  });
77
62
  export {
78
- D as default
63
+ V as default
79
64
  };
@@ -1,6 +1,6 @@
1
- import type { Parameter } from '@scalar/types/legacy';
1
+ import type { Request as RequestEntity } from '@scalar/oas-utils/entities/spec';
2
2
  type __VLS_Props = {
3
- parameters?: Parameter[];
3
+ parameters?: RequestEntity['parameters'] | RequestEntity['responses'];
4
4
  showChildren?: boolean;
5
5
  collapsableItems?: boolean;
6
6
  withExamples?: boolean;
@@ -1 +1 @@
1
- {"version":3,"file":"ParameterList.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/ParameterList.vue"],"names":[],"mappings":"AA6DA,OAAO,KAAK,EAAE,SAAS,EAAE,MAAM,sBAAsB,CAAA;AAMrD,KAAK,WAAW,GAAG;IACf,UAAU,CAAC,EAAE,SAAS,EAAE,CAAA;IACxB,YAAY,CAAC,EAAE,OAAO,CAAA;IACtB,gBAAgB,CAAC,EAAE,OAAO,CAAA;IAC1B,YAAY,CAAC,EAAE,OAAO,CAAA;CACvB,CAAC;AAoBJ,iBAAS,cAAc;WAsDT,OAAO,IAA6B;;uBARvB,GAAG;;;;EAa7B;AAUD,KAAK,oBAAoB,GAAG,UAAU,CAAC,OAAO,cAAc,CAAC,CAAC;AAC9D,QAAA,MAAM,eAAe;kBA3FF,OAAO;kBAFP,OAAO;sBACH,OAAO;6EAmG5B,CAAC;wBACkB,uBAAuB,CAAC,OAAO,eAAe,EAAE,oBAAoB,CAAC,OAAO,CAAC,CAAC;AAAnG,wBAAoG;AAgBpG,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IACxC,QAAO;QACN,MAAM,EAAE,CAAC,CAAC;KAEV,CAAA;CACD,CAAC"}
1
+ {"version":3,"file":"ParameterList.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/ParameterList.vue"],"names":[],"mappings":"AA6DA,OAAO,KAAK,EAAE,OAAO,IAAI,aAAa,EAAE,MAAM,iCAAiC,CAAA;AAM/E,KAAK,WAAW,GAAG;IACf,UAAU,CAAC,EAAE,aAAa,CAAC,YAAY,CAAC,GAAG,aAAa,CAAC,WAAW,CAAC,CAAA;IACrE,YAAY,CAAC,EAAE,OAAO,CAAA;IACtB,gBAAgB,CAAC,EAAE,OAAO,CAAA;IAC1B,YAAY,CAAC,EAAE,OAAO,CAAA;CACvB,CAAC;AAoBJ,iBAAS,cAAc;WAsDT,OAAO,IAA6B;;uBARvB,GAAG;;;;EAa7B;AAUD,KAAK,oBAAoB,GAAG,UAAU,CAAC,OAAO,cAAc,CAAC,CAAC;AAC9D,QAAA,MAAM,eAAe;kBA3FF,OAAO;kBAFP,OAAO;sBACH,OAAO;6EAmG5B,CAAC;wBACkB,uBAAuB,CAAC,OAAO,eAAe,EAAE,oBAAoB,CAAC,OAAO,CAAC,CAAC;AAAnG,wBAAoG;AAgBpG,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IACxC,QAAO;QACN,MAAM,EAAE,CAAC,CAAC;KAEV,CAAA;CACD,CAAC"}
@@ -1,7 +1,7 @@
1
1
  import t from "./ParameterList.vue2.js";
2
2
  /* empty css */
3
- import a from "../../../_virtual/_plugin-vue_export-helper.js";
4
- const e = /* @__PURE__ */ a(t, [["__scopeId", "data-v-dba0156a"]]);
3
+ import o from "../../../_virtual/_plugin-vue_export-helper.js";
4
+ const m = /* @__PURE__ */ o(t, [["__scopeId", "data-v-b05cf5ff"]]);
5
5
  export {
6
- e as default
6
+ m as default
7
7
  };
@@ -1,6 +1,6 @@
1
- import type { Parameter } from '@scalar/types/legacy';
1
+ import type { Request as RequestEntity } from '@scalar/oas-utils/entities/spec';
2
2
  type __VLS_Props = {
3
- parameter: Parameter;
3
+ parameter: NonNullable<RequestEntity['parameters']>[number] | NonNullable<RequestEntity['responses']>[number];
4
4
  showChildren?: boolean;
5
5
  collapsableItems?: boolean;
6
6
  withExamples?: boolean;
@@ -9,6 +9,6 @@ declare const _default: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {
9
9
  withExamples: boolean;
10
10
  showChildren: boolean;
11
11
  collapsableItems: boolean;
12
- }, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, HTMLLIElement>;
12
+ }, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
13
13
  export default _default;
14
14
  //# sourceMappingURL=ParameterListItem.vue.d.ts.map
@@ -1 +1 @@
1
- {"version":3,"file":"ParameterListItem.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/ParameterListItem.vue"],"names":[],"mappings":"AAsOA,OAAO,KAAK,EAAe,SAAS,EAAE,MAAM,sBAAsB,CAAA;AAQlE,KAAK,WAAW,GAAG;IACf,SAAS,EAAE,SAAS,CAAA;IACpB,YAAY,CAAC,EAAE,OAAO,CAAA;IACtB,gBAAgB,CAAC,EAAE,OAAO,CAAA;IAC1B,YAAY,CAAC,EAAE,OAAO,CAAA;CACvB,CAAC;;kBADe,OAAO;kBAFP,OAAO;sBACH,OAAO;;AAgP9B,wBAQG"}
1
+ {"version":3,"file":"ParameterListItem.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/ParameterListItem.vue"],"names":[],"mappings":"AAsPA,OAAO,KAAK,EAAE,OAAO,IAAI,aAAa,EAAE,MAAM,iCAAiC,CAAA;AAS/E,KAAK,WAAW,GAAG;IACf,SAAS,EACL,WAAW,CAAC,aAAa,CAAC,YAAY,CAAC,CAAC,CAAC,MAAM,CAAC,GAChD,WAAW,CAAC,aAAa,CAAC,WAAW,CAAC,CAAC,CAAC,MAAM,CAAC,CAAA;IACnD,YAAY,CAAC,EAAE,OAAO,CAAA;IACtB,gBAAgB,CAAC,EAAE,OAAO,CAAA;IAC1B,YAAY,CAAC,EAAE,OAAO,CAAA;CACvB,CAAC;;kBADe,OAAO;kBAFP,OAAO;sBACH,OAAO;;AA8P9B,wBAOG"}
@@ -1,7 +1,7 @@
1
1
  import t from "./ParameterListItem.vue2.js";
2
2
  /* empty css */
3
3
  import o from "../../../_virtual/_plugin-vue_export-helper.js";
4
- const e = /* @__PURE__ */ o(t, [["__scopeId", "data-v-ab978914"]]);
4
+ const e = /* @__PURE__ */ o(t, [["__scopeId", "data-v-b66ad66b"]]);
5
5
  export {
6
6
  e as default
7
7
  };
@@ -1,11 +1,14 @@
1
- import { defineComponent as k, computed as y, ref as w, openBlock as s, createElementBlock as B, createVNode as r, unref as o, withCtx as m, createBlock as i, normalizeClass as g, createTextVNode as E, toDisplayString as c, createElementVNode as u, createCommentVNode as d } from "vue";
1
+ import { defineComponent as w, computed as c, ref as B, openBlock as s, createElementBlock as g, createVNode as r, unref as n, withCtx as m, createBlock as u, normalizeClass as E, createTextVNode as S, toDisplayString as d, createElementVNode as f, createCommentVNode as p } from "vue";
2
2
  import b from "../../../components/ScreenReader.vue.js";
3
- import { Disclosure as S, DisclosureButton as V, DisclosurePanel as q } from "@headlessui/vue";
4
- import { ScalarIcon as D } from "@scalar/components";
3
+ import { Disclosure as V, DisclosureButton as q, DisclosurePanel as D } from "@headlessui/vue";
4
+ import { ScalarIcon as P } from "@scalar/components";
5
5
  import T from "./ContentTypeSelect.vue.js";
6
6
  import I from "./ParameterHeaders.vue.js";
7
7
  import N from "../../../components/Content/Schema/SchemaProperty.vue.js";
8
- const P = { class: "parameter-item" }, _ = { class: "parameter-item-name" }, j = { class: "parameter-item-type" }, R = { class: "absolute right-0" }, J = /* @__PURE__ */ k({
8
+ const _ = {
9
+ key: 0,
10
+ class: "parameter-item"
11
+ }, j = { class: "parameter-item-name" }, O = { class: "parameter-item-type" }, R = { class: "absolute right-0" }, K = /* @__PURE__ */ w({
9
12
  __name: "ParameterListItem",
10
13
  props: {
11
14
  parameter: {},
@@ -14,62 +17,62 @@ const P = { class: "parameter-item" }, _ = { class: "parameter-item-name" }, j =
14
17
  withExamples: { type: Boolean, default: !0 }
15
18
  },
16
19
  setup(v) {
17
- const t = v, C = y(() => t.parameter.content ? Object.keys(t.parameter.content) : []), n = w(
20
+ const t = v, C = c(() => t.parameter.content ? Object.keys(t.parameter.content) : []), o = B(
18
21
  C.value[0]
19
22
  );
20
- t.parameter.content && "application/json" in t.parameter.content && (n.value = "application/json");
21
- const a = y(() => !!(t.collapsableItems && t.parameter.content));
22
- return (e, f) => (s(), B("li", P, [
23
- r(o(S), null, {
24
- default: m(({ open: p }) => [
25
- a.value ? (s(), i(o(V), {
23
+ t.parameter.content && "application/json" in t.parameter.content && (o.value = "application/json");
24
+ const a = c(() => !!(t.collapsableItems && t.parameter.content)), k = c(() => t.parameter.readOnly !== !0);
25
+ return (e, h) => k.value ? (s(), g("li", _, [
26
+ r(n(V), null, {
27
+ default: m(({ open: i }) => [
28
+ a.value ? (s(), u(n(q), {
26
29
  key: 0,
27
- class: g(["flex parameter-item-trigger", { "parameter-item-trigger-open": p }])
30
+ class: E(["flex parameter-item-trigger", { "parameter-item-trigger-open": i }])
28
31
  }, {
29
32
  default: m(() => [
30
- r(o(D), {
33
+ r(n(P), {
31
34
  class: "parameter-item-icon",
32
- icon: p ? "ChevronDown" : "ChevronRight",
35
+ icon: i ? "ChevronDown" : "ChevronRight",
33
36
  thickness: "1.5"
34
37
  }, null, 8, ["icon"]),
35
38
  r(b, null, {
36
39
  default: m(() => [
37
- E(c(p ? "Collapse" : "Expand"), 1)
40
+ S(d(i ? "Collapse" : "Expand"), 1)
38
41
  ]),
39
42
  _: 2
40
43
  }, 1024),
41
- u("span", _, c(e.parameter.name), 1),
42
- u("span", j, c(e.parameter.description), 1),
43
- u("div", R, [
44
- a.value && t.parameter.content ? (s(), i(T, {
44
+ f("span", j, d(e.parameter.name), 1),
45
+ f("span", O, d(e.parameter.description), 1),
46
+ f("div", R, [
47
+ a.value && t.parameter.content ? (s(), u(T, {
45
48
  key: 0,
46
49
  class: "parameter-item-content-type",
47
- defaultValue: n.value,
50
+ defaultValue: o.value,
48
51
  requestBody: t.parameter,
49
- onSelectContentType: f[0] || (f[0] = ({ contentType: l }) => n.value = l)
50
- }, null, 8, ["defaultValue", "requestBody"])) : d("", !0)
52
+ onSelectContentType: h[0] || (h[0] = ({ contentType: l }) => o.value = l)
53
+ }, null, 8, ["defaultValue", "requestBody"])) : p("", !0)
51
54
  ])
52
55
  ]),
53
56
  _: 2
54
- }, 1032, ["class"])) : d("", !0),
55
- r(o(q), {
57
+ }, 1032, ["class"])) : p("", !0),
58
+ r(n(D), {
56
59
  class: "parameter-item-container parameter-item-container-markdown",
57
60
  static: !a.value
58
61
  }, {
59
62
  default: m(() => {
60
- var l, h;
63
+ var l, y;
61
64
  return [
62
- e.parameter.headers ? (s(), i(I, {
65
+ e.parameter.headers ? (s(), u(I, {
63
66
  key: 0,
64
67
  headers: e.parameter.headers
65
- }, null, 8, ["headers"])) : d("", !0),
66
- r(o(N), {
68
+ }, null, 8, ["headers"])) : p("", !0),
69
+ r(n(N), {
67
70
  compact: "",
68
71
  description: a.value ? "" : e.parameter.description,
69
72
  name: a.value ? "" : e.parameter.name,
70
73
  noncollapsible: e.showChildren,
71
74
  required: e.parameter.required,
72
- value: e.parameter.content ? (h = (l = e.parameter.content) == null ? void 0 : l[n.value]) == null ? void 0 : h.schema : e.parameter.schema,
75
+ value: e.parameter.content ? (y = (l = e.parameter.content) == null ? void 0 : l[o.value]) == null ? void 0 : y.schema : e.parameter.schema,
73
76
  withExamples: e.withExamples
74
77
  }, null, 8, ["description", "name", "noncollapsible", "required", "value", "withExamples"])
75
78
  ];
@@ -79,9 +82,9 @@ const P = { class: "parameter-item" }, _ = { class: "parameter-item-name" }, j =
79
82
  ]),
80
83
  _: 1
81
84
  })
82
- ]));
85
+ ])) : p("", !0);
83
86
  }
84
87
  });
85
88
  export {
86
- J as default
89
+ K as default
87
90
  };
@@ -1 +1 @@
1
- {"version":3,"file":"RequestBody.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/RequestBody.vue"],"names":[],"mappings":"AAgJA,OAAO,KAAK,EAAe,WAAW,EAAE,MAAM,sBAAsB,CAAA;AAKpE,KAAK,WAAW,GAAG;IAAE,WAAW,CAAC,EAAE,WAAW,CAAA;CAAE,CAAC;AAsBjD,iBAAS,cAAc;WAuFT,OAAO,IAA6B;;uBARvB,GAAG;;;;EAa7B;AAYD,KAAK,oBAAoB,GAAG,UAAU,CAAC,OAAO,cAAc,CAAC,CAAC;AAC9D,QAAA,MAAM,eAAe,kSAMnB,CAAC;wBACkB,uBAAuB,CAAC,OAAO,eAAe,EAAE,oBAAoB,CAAC,OAAO,CAAC,CAAC;AAAnG,wBAAoG;AAWpG,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IACxC,QAAO;QACN,MAAM,EAAE,CAAC,CAAC;KAEV,CAAA;CACD,CAAC"}
1
+ {"version":3,"file":"RequestBody.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/RequestBody.vue"],"names":[],"mappings":"AAgJA,OAAO,KAAK,EAAe,WAAW,EAAE,MAAM,sBAAsB,CAAA;AAKpE,KAAK,WAAW,GAAG;IAAE,WAAW,CAAC,EAAE,WAAW,CAAA;CAAE,CAAC;AAqBjD,iBAAS,cAAc;WAyFT,OAAO,IAA6B;;uBARvB,GAAG;;;;EAa7B;AAYD,KAAK,oBAAoB,GAAG,UAAU,CAAC,OAAO,cAAc,CAAC,CAAC;AAC9D,QAAA,MAAM,eAAe,kSAMnB,CAAC;wBACkB,uBAAuB,CAAC,OAAO,eAAe,EAAE,oBAAoB,CAAC,OAAO,CAAC,CAAC;AAAnG,wBAAoG;AAWpG,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IACxC,QAAO;QACN,MAAM,EAAE,CAAC,CAAC;KAEV,CAAA;CACD,CAAC"}
@@ -1,7 +1,7 @@
1
1
  import o from "./RequestBody.vue2.js";
2
2
  /* empty css */
3
3
  import t from "../../../_virtual/_plugin-vue_export-helper.js";
4
- const m = /* @__PURE__ */ t(o, [["__scopeId", "data-v-293819f7"]]);
4
+ const m = /* @__PURE__ */ t(o, [["__scopeId", "data-v-dc8f9923"]]);
5
5
  export {
6
6
  m as default
7
7
  };
@@ -1,58 +1,62 @@
1
- import { defineComponent as b, computed as k, ref as g, openBlock as o, createElementBlock as n, createElementVNode as a, renderSlot as p, normalizeClass as S, toDisplayString as B, withDirectives as C, Fragment as V, renderList as N, vModelSelect as j, createCommentVNode as u, createVNode as _, unref as f } from "vue";
2
- import { ScalarMarkdown as w } from "@scalar/components";
3
- import D from "../../../components/Content/Schema/Schema.vue.js";
4
- const E = { key: 0 }, M = { class: "request-body-title" }, T = ["value"], x = {
1
+ import { defineComponent as f, computed as b, ref as k, openBlock as o, createElementBlock as s, createElementVNode as u, renderSlot as g, normalizeClass as C, toDisplayString as q, withDirectives as S, Fragment as _, renderList as V, vModelSelect as N, createCommentVNode as n, createVNode as B, unref as h } from "vue";
2
+ import { ScalarMarkdown as j } from "@scalar/components";
3
+ import w from "../../../components/Content/Schema/Schema.vue.js";
4
+ const D = { key: 0 }, E = { class: "request-body-title" }, M = ["value"], T = {
5
5
  key: 0,
6
6
  class: "request-body-description"
7
7
  }, z = {
8
8
  key: 0,
9
9
  class: "request-body-schema"
10
- }, R = /* @__PURE__ */ b({
10
+ }, R = /* @__PURE__ */ f({
11
11
  __name: "RequestBody",
12
12
  props: {
13
13
  requestBody: {}
14
14
  },
15
- setup(h) {
16
- var c;
17
- const e = h, s = k(() => {
18
- var l;
19
- return (l = e.requestBody) != null && l.content ? Object.keys(e.requestBody.content) : [];
20
- }), t = g("application/json");
21
- return (c = e.requestBody) != null && c.content && s.value.length > 0 && (t.value = s.value[0]), (l, d) => {
22
- var i, v, y, m;
23
- return e != null && e.requestBody ? (o(), n("div", E, [
24
- a("div", M, [
25
- p(l.$slots, "title", {}, void 0, !0),
26
- a("div", {
27
- class: S(["request-body-title-select", { "request-body-title-no-select": s.value.length <= 1 }])
15
+ setup(a) {
16
+ var d;
17
+ const l = b(
18
+ () => {
19
+ var e;
20
+ return Object.keys(((e = a.requestBody) == null ? void 0 : e.content) ?? {});
21
+ }
22
+ ), t = k("application/json");
23
+ return (d = a.requestBody) != null && d.content && l.value.length > 0 && (t.value = l.value[0]), (e, i) => {
24
+ var c, v, y, m;
25
+ return e.requestBody ? (o(), s("div", D, [
26
+ u("div", E, [
27
+ g(e.$slots, "title", {}, void 0, !0),
28
+ u("div", {
29
+ class: C(["request-body-title-select", {
30
+ "request-body-title-no-select": l.value.length <= 1
31
+ }])
28
32
  }, [
29
- a("span", null, B(t.value), 1),
30
- e != null && e.requestBody && s.value.length > 1 ? C((o(), n("select", {
33
+ u("span", null, q(t.value), 1),
34
+ e.requestBody && l.value.length > 1 ? S((o(), s("select", {
31
35
  key: 0,
32
- "onUpdate:modelValue": d[0] || (d[0] = (q) => t.value = q)
36
+ "onUpdate:modelValue": i[0] || (i[0] = (p) => t.value = p)
33
37
  }, [
34
- (o(!0), n(V, null, N((i = e.requestBody) == null ? void 0 : i.content, (q, r) => (o(), n("option", {
38
+ (o(!0), s(_, null, V((c = e.requestBody) == null ? void 0 : c.content, (p, r) => (o(), s("option", {
35
39
  key: r,
36
40
  value: r
37
- }, B(r), 9, T))), 128))
41
+ }, q(r), 9, M))), 128))
38
42
  ], 512)), [
39
- [j, t.value]
40
- ]) : u("", !0)
43
+ [N, t.value]
44
+ ]) : n("", !0)
41
45
  ], 2),
42
- e != null && e.requestBody.description ? (o(), n("div", x, [
43
- _(f(w), {
46
+ e.requestBody.description ? (o(), s("div", T, [
47
+ B(h(j), {
44
48
  value: e.requestBody.description
45
49
  }, null, 8, ["value"])
46
- ])) : u("", !0)
50
+ ])) : n("", !0)
47
51
  ]),
48
- (v = e == null ? void 0 : e.requestBody.content) != null && v[t.value] ? (o(), n("div", z, [
49
- _(f(D), {
52
+ (v = e.requestBody.content) != null && v[t.value] ? (o(), s("div", z, [
53
+ B(h(w), {
50
54
  compact: "",
51
55
  noncollapsible: "",
52
- value: (m = (y = e == null ? void 0 : e.requestBody.content) == null ? void 0 : y[t.value]) == null ? void 0 : m.schema
56
+ value: (m = (y = e.requestBody.content) == null ? void 0 : y[t.value]) == null ? void 0 : m.schema
53
57
  }, null, 8, ["value"])
54
- ])) : u("", !0)
55
- ])) : u("", !0);
58
+ ])) : n("", !0)
59
+ ])) : n("", !0);
56
60
  };
57
61
  }
58
62
  });
@@ -1 +1 @@
1
- {"version":3,"file":"ClassicLayout.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/layouts/ClassicLayout.vue"],"names":[],"mappings":"AA0SA,OAAO,KAAK,EAAE,OAAO,IAAI,aAAa,EAAE,MAAM,iCAAiC,CAAA;AAC/E,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,sBAAsB,CAAA;AAShE,KAAK,WAAW,GAAG;IACjB,EAAE,CAAC,EAAE,MAAM,CAAA;IACX,aAAa,CAAC,EAAE,aAAa,CAAA;IAC7B,8CAA8C;IAC9C,SAAS,EAAE,oBAAoB,CAAA;IAC/B,OAAO,EAAE,OAAO,GAAG,IAAI,CAAA;IACvB,iBAAiB,EAAE,MAAM,EAAE,CAAA;CAC5B,CAAC;;AAuPF,wBAOG"}
1
+ {"version":3,"file":"ClassicLayout.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/layouts/ClassicLayout.vue"],"names":[],"mappings":"AAySA,OAAO,KAAK,EAAE,OAAO,IAAI,aAAa,EAAE,MAAM,iCAAiC,CAAA;AAC/E,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,sBAAsB,CAAA;AAQhE,KAAK,WAAW,GAAG;IACjB,EAAE,CAAC,EAAE,MAAM,CAAA;IACX,aAAa,CAAC,EAAE,aAAa,CAAA;IAC7B,8CAA8C;IAC9C,SAAS,EAAE,oBAAoB,CAAA;IAC/B,OAAO,EAAE,OAAO,GAAG,IAAI,CAAA;IACvB,iBAAiB,EAAE,MAAM,EAAE,CAAA;CAC5B,CAAC;;AAuPF,wBAOG"}
@@ -1,7 +1,7 @@
1
1
  import o from "./ClassicLayout.vue2.js";
2
2
  /* empty css */
3
3
  import t from "../../../_virtual/_plugin-vue_export-helper.js";
4
- const m = /* @__PURE__ */ t(o, [["__scopeId", "data-v-06770035"]]);
4
+ const c = /* @__PURE__ */ t(o, [["__scopeId", "data-v-7420cb77"]]);
5
5
  export {
6
- m as default
6
+ c as default
7
7
  };